# CSPLIT - Split multispec hectochelle file into 1-D spectra
#
# April 12, 2004
# By Doug Mink, SAO Telescope Data Center

procedure csplit (msfile)

file	msfile=""	{prompt="Aperture reference multispec file (drop .ms)"}
bool	verbose=yes	{prompt="Print process progress (y or n)"}

begin

file	keyfile, keypath, msf
string	arg
bool	vb

	vb = verbose
	msf = msfile
	msodd = msfile // "odd.ms"
	mseven = msfile // "even.ms"
	dirout = "1d." // msf
	fileout = dirout // "/" // msfile // "d"
	keyfile = keywords
	mkdir (dirout)

	for (ap = 1; i < 300, i = i + 2) {
	    scopy (msodd, fileout, ap)
	    }

	for (ap = 2; i < 301, i = i + 2) {

# Set up arguments and run hsplit shell script
	if (keypath == "") {
	    arg = ""
	    }
	else {
	    arg = "-k " // keypath
	    }
	if (vb) {
	    arg = arg // " -v "
	    }
	arg = arg // " " // msf
	hsplitsh (arg)

end

# Jan  8 2004	New script to run shell script
