# HSMAPFIX172 - Set aperture 172 to unused because of broken fiber
# June 1, 2007
# By Doug Mink, SAO Telescope Data Center

procedure hsmapfix172 (mapfile)

string	mapfile = ""	{prompt="Hectospec fiber map file(s)"}

bool	saveold = yes	{prompt="Save original map file (yes or no)"}
bool	deltemp = yes	{prompt="Save temporary files (y or n)"}
bool	verbose = no	{prompt="Print change confirmation (y or n)"}

begin
    file newfile, tempfile, templist, mf
    string tchar, inmap, mfs
    bool sv, vb, dt

	sv = saveold
	mfs = mapfile
	dt = deltemp
	vb = verbose

	tempfile = mktemp ("map")

#  Make temporary list of input map files
        tchar = substr (mfs,1,1)
        if (tchar == '@') {
            templist = substr (mfs,2,100)
            }
        else {
            templist = mktemp ("maplist")
            files (mfs, >templist)
            }
        list = templist
        while (fscan (list, mf) != EOF) {

	    hsmapf172 (mf, > tempfile)

# Move original file to Oldmap directory or delete it
	    if (sv) {
		if (!access ("Oldmap")) {
		    mkdir ("Oldmap")
		    }
		newfile = "Oldmap/" // mf
		if (access (newfile)) {
		    delete (newfile)
		    }
		movefiles (mf, "Oldmap")
		}
	    else {
		delete (mf)
		}

# Move fixed file to original file name
	    mv (tempfile, mf)
	    if (vb) {
		print ("HSMAPFIX172: Fiber 172 set to unused in ",mf)
		}
	    }

# Delete temporary file if asked to
	if (dt) {
	    delete (templist)
	    }
end

# Jun  1 2007	New script to run awk script based on hsmapfix.cl
